#pragma once
#ifndef HTU21_H
#define HTU21_H

#include "stm8s.h"

typedef enum {
  HTU_OK = 0,
  HTU_I2C,
  HTU_CRC_Temp,
  HTU_CRC_Humidity
} htu_err_t;

htu_err_t htu_GetTemperature(int16_t * temperature);
htu_err_t htu_GetHumidity(uint16_t * humidity);

#endif // HTU21_H
